
package LazyLRSEvaluators;

import LRStructure.*;
public class LazyFibEval0 implements ILazyEval
{
	int val=1;

	/**
	 * @param host 
	 */
	public LRStruct nextLRS(LRStruct host)
	{
		LazyLRStruct lrs = new LazyLRStruct(new Integer(val), this);
		val += ((Integer)host.getFirst()).intValue();
		return lrs;
	}

	/**
	 * @return 
	 */
	public LRStruct makeLRS()
	{
		LRStruct lrs = new LRStruct();
		lrs.insertAsFirst(new Integer(1));
		lrs.setRest (next(lrs));      // DXN: don't like this!
		return lrs;
	}
}

